fw_cdev_event_response Struct Reference

`#include <dc1394/juju/firewire-cdev.h>`

## Detailed Description

struct fw_cdev_event_response - Sent when a response packet was received : See set by FW_CDEV_IOC_SEND_REQUEST ioctl : See always FW_CDEV_EVENT_RESPONSE : Response code returned by the remote node : Data length, i.e. the response's payload size in bytes : Payload data, if any

This event is sent when the stack receives a response to an outgoing request sent by FW_CDEV_IOC_SEND_REQUEST ioctl. The payload data for responses carrying data (read and lock responses) follows immediately and can be accessed through the field.

The documentation for this struct was generated from the following file:

- dc1394/juju/firewire-cdev.h